com.pivotal.gemfirexd.internal.client.am

## Class ParameterMetaData40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ParameterMetaData
  - - com.pivotal.gemfirexd.internal.client.am.ParameterMetaData40

All Implemented Interfaces:
  ParameterMetaData, Wrapper

    public class ParameterMetaData40
    extends ParameterMetaData

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Constructor Summary

Constructors
Constructor and Description
`ParameterMetaData40(ColumnMetaData columnMetaData)` Calls the superclass constructor to pass the arguments

### Method Summary

Methods
`boolean` `isWrapperFor(Class<?> interfaces)` Returns false unless `interfaces` is implemented
`<T> T` `unwrap(Class<T> interfaces)` Returns `this` if this class implements the interface

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterMetaData40

    public ParameterMetaData40(ColumnMetaData columnMetaData)

Calls the superclass constructor to pass the arguments

Parameters:
  `columnMetaData` - ColumnMetaData

### Method Detail

#### isWrapperFor

    public boolean isWrapperFor(Class<?> interfaces)
                         throws SQLException

Returns false unless `interfaces` is implemented

Parameters:
  `interfaces` - a Class defining an interface.
Returns:
  true if this implements the interface or directly or indirectly wraps an object that does.
Throws:
  `SQLException` - if an error occurs while determining whether this is a wrapper for an object with the given interface.

#### unwrap

    public <T> T unwrap(Class<T> interfaces)
             throws SQLException

Returns `this` if this class implements the interface

Parameters:
  `interfaces` - a Class defining an interface
Returns:
  an object that implements the interface
Throws:
  `java.sql.SQLExption` - if no object if found that implements the interface
  `SQLException`